Name: x11-driver-video-i128
Version: 1.4.1
Release: %mkrel 1
Summary: X.org driver for Number Nine chipsets
Group: System/X11
License: MIT
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-i128-%{version}.tar.xz
ExclusiveArch: %ix86 x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires:      x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-i128 is the X.org driver for Number Nine chipsets.

%prep
%autosetup -p1 -n xf86-video-i128-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/i128_drv.so
%{_mandir}/man4/i128.*


%changelog
* Wed Jul 02 2025 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 2243831
- new version: 1.4.1
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1837988
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.4.0-3.mga9
+ Revision: 1751704
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.4.0-2.mga8
+ Revision: 1520835
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 10 2018 tv <tv> 1.4.0-1.mga7
+ Revision: 1339923
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.3.6-21.mga7
+ Revision: 1301755
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.3.6-20.mga7
+ Revision: 1238588
- fix build on aarch64
- drop .la files
- use new make macros
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.3.6-19.mga7
+ Revision: 1207710
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.3.6-18.mga6
+ Revision: 1067772
- rebuild for xserver 1.19

* Thu Nov 17 2016 tv <tv> 1.3.6-17.mga6
+ Revision: 1067737
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.3.6-16.mga6
+ Revision: 1043240
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.3.6-15.mga6
+ Revision: 963386
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.3.6-14.mga6
+ Revision: 902294
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.3.6-13.mga6
+ Revision: 902053
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.3.6-12.mga6
+ Revision: 836010
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.3.6-11.mga5
+ Revision: 741866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.6-10.mga5
+ Revision: 690431
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.3.6-9.mga5
+ Revision: 635013
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.3.6-8.mga5
+ Revision: 633671
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.3.6-7.mga5
+ Revision: 614367
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.3.6-6.mga5
+ Revision: 582312
- patch 0: fix build with xserver-1.14

* Sat Oct 19 2013 umeabot <umeabot> 1.3.6-5.mga4
+ Revision: 525396
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.3.6-4.mga4
+ Revision: 433157
- submit to core/release

* Fri May 24 2013 tv <tv> 1.3.6-3.mga4
+ Revision: 426055
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-3.mga3
+ Revision: 385984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.3.6-2.mga3
+ Revision: 288958
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.3.6-1.mga3
+ Revision: 273816
- new release

* Wed Jun 06 2012 tmb <tmb> 1.3.5-3.mga3
+ Revision: 256390
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.3.5-2.mga3
+ Revision: 253008
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.3.5-1.mga3
+ Revision: 249934
- new release

* Tue Dec 06 2011 tmb <tmb> 1.3.4-6.mga2
+ Revision: 177551
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.3.4-5.mga2
+ Revision: 153117
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.3.4-4.mga1
+ Revision: 64396
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.3.4-3.mga1
+ Revision: 50219
- imported package x11-driver-video-i128


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.4-3mdv2011.0
+ Revision: 595743
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Aug 17 2010 Thierry Vignaud <tv@mandriva.org> 1.3.4-1mdv2011.0
+ Revision: 570773
- new release

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1.3.3-1mdv2010.0
+ Revision: 407725
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.2-1mdv2010.0
+ Revision: 391864
- update to version 1.3.2

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.3.1-3mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.3.1-2mdv2009.1
+ Revision: 308216
- rebuild for new X server

* Fri Sep 05 2008 Thierry Vignaud <tv@mandriva.org> 1.3.1-1mdv2009.0
+ Revision: 281097
- new release

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.3.0-2mdv2009.0
+ Revision: 265921
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-1mdv2009.0
+ Revision: 194197
- Update to version 1.3.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.1-5mdv2008.1
+ Revision: 165564
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-4mdv2008.1
+ Revision: 156606
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.1-3mdv2008.1
+ Revision: 154858
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to generate tar file from existing tag xf86-video-i128-1.2.1, but
  don't move mandriva branch point, and add patches to reach there.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-2mdv2008.1
+ Revision: 98693
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Thu Dec 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-1mdv2007.0
+ Revision: 97087
- new release
- kill patch 1 (merged upstream)
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

